//------------------------------------------------------------------------------
//	$Id: mouseposition_dm.js,v 1.9 2019/06/25 13:33:40 wolf Exp $
//------------------------------------------------------------------------------
//	Erklaerung:	https://www.netzwolf.info/ol2/dm.html
//------------------------------------------------------------------------------
//	Fragen, Wuensche, Bedenken, Anregungen?
//	<openlayers(%40)netzwolf.info>
//------------------------------------------------------------------------------

/*jsl:option explicit*/

'use strict';

OpenLayers.Control.MousePositionDM = OpenLayers.Class (OpenLayers.Control.MousePosition, {

	formatOutput: function (lonLat) {

		var lon = lonLat.lon - Math.ceil(lonLat.lon/360.0-0.5)*360.0;
		var lat = lonLat.lat;

		var ns = lat >= 0 ? 'N' : 'S';
		var we = lon >= 0 ? 'E' : 'W';

		var lon_m = Math.abs(lon*60).toFixed(3);
		var lat_m = Math.abs(lat*60).toFixed(3);
		var lon_d = Math.floor (lon_m/60);
		var lat_d = Math.floor (lat_m/60);

		lon_m -= lon_d*60;
		lat_m -= lat_d*60;

		return	ns + lat_d + '\xb0' + this.f(lat_m, 6, 3) + '\u2032\xa0' +
			we + lon_d + '\xb0' + this.f(lon_m, 6, 3) + '\u2032';
	},

	f: function (number, length, fraclength) {

		var text = number.toFixed(fraclength);

		while (text.length < length) { text = '0' + text; }

		return text;
	},

	CLASS_NAME: 'OpenLayers.Control.MousePositionDM'
});

//------------------------------------------------------------------------------
//	$Id: mouseposition_dm.js,v 1.9 2019/06/25 13:33:40 wolf Exp $
//------------------------------------------------------------------------------
